Skip to main content
POST
/
v4
/
invoicing
/
sendInvoice
Send invoice to client
curl --request POST \
  --url https://sandbox.hurdlr.com/rest/v4/invoicing/sendInvoice \
  --header 'Authorization: Bearer <token>'
{
  "arInvoiceId": "<string>",
  "arInvoiceName": "<string>",
  "success": true,
  "errorDescription": "<string>",
  "emailRetVal": {
    "status": "SUCCESS",
    "error": "<string>",
    "messageId": "<string>"
  },
  "errors": {
    "fieldErrors": {},
    "globalErrors": [
      {
        "type": "DUPLICATE",
        "errorMessage": "<string>"
      }
    ]
  },
  "refundStatus": "PENDING"
}

Authorizations

Authorization
string
header
required

The access token received from the authorization server in the OAuth 2.0 flow.

Response

200 - application/json

Successful operation

arInvoiceId
string
arInvoiceName
string
success
boolean
errorDescription
string
emailRetVal
object
errors
object

Error object containing details errors incurred, if any

refundStatus
enum<string>
Available options:
PENDING,
SUCCEEDED,
FAILED,
UNKNOWN